package com.supervision.police.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@TableName(value = "model_record_type")
@Data
public class ModelRecordType implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 笔录类型(总结)
     */
    private String recordType;

    /**
     * 提示词
     */
    @TableField(exist = false)
    private List<NotePrompt> prompts;

    /**
     * 笔录示例
     */
    @TableField(exist = false)
    private List<NoteRecord> records;

}
