package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.common.domain.R;
import com.supervision.police.domain.NoteRecord;
import com.supervision.police.domain.NoteRecords;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface RecordService extends IService<NoteRecord> {

    R<?> uploadRecords(NoteRecords records, List<MultipartFile> fileList) throws IOException;

    R<?> queryRecords(NoteRecords noteRecords, Integer page, Integer size);

    R<?> delRecords(String id);

}
