package com.supervision.minio.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.io.Serializable;

/**
 * 文件表(MinioFile)表实体类
 *
 * @author qmy
 * @since 2024-07-08 14:45:00
 */
@Data
@TableName("minio_file")
public class MinioFile implements Serializable {

    @TableId
    private String id;
    
    /**
     * 文件名
     */
    private String filename;
    
    /**
     * 大小
     */
    private Integer size;
    
    /**
     * 上传时间
     */
    private Date uploadDate;
    
    /**
     * 文件类型
     */
    private String fileType;

    /**
     *
     */
    private String dataStatus;

}

