package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.common.domain.R;
import com.supervision.police.domain.ModelRecordType;
import com.supervision.police.domain.NotePrompt;

import java.util.List;

public interface ModelRecordTypeService extends IService<ModelRecordType> {

    R<?> queryType(String name, Integer page, Integer size);

    ModelRecordType queryByName(String content);

    R<?> saveType(ModelRecordType type);

    R<?> addOrUpdPrompt(NotePrompt prompt);

    R<?> delPrompt(NotePrompt prompt);

    R<?> getThreeInfo(String caseId, String name, String recordId);

    R<?> addNeo4j(List<String> ids);
}
